Subject: Re: Commercial Licensing
From: [email-masked] (Reed Kotler Consulting)

31 Mar 1997 01:34:13 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 3.0 (32)
Original-To: Jim Balter <[email-masked]>
Original-Cc: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Original-Sender: [email-masked]

>> >Reed Kotler Consulting wrote:
>> >
>> >> I remember seeing this GPL thread go on and on and frankly I ignored it.
>> >>
>> >> However, I'm looking at the webpage for cygnus and seeing some
>> >> claim that if you build software using the cygwin.dll that it has
>> >> to become free software too if you don't have the commercial license.
>> >>
>> >> This seems to be a pretty far fetched reading of the GPL.
>> >
>> >Farfetched?  That seems pretty standard, since the issue is actually
>> >libcygwin.a, which incorporates portions of GPL code into
>> >your executable.  The situation is no different from using the bison
>> >parser.  If you still think that's a wrong reading, perhaps you can take
>> >it up on gnu.misc.discuss, where people like to talk about these things.
>> >
>> >--
>> Well what is libcygwin.a? Presumably just the thunks that call the
>> DLL.
>> 
>> So how can that code be under GPL?
>
>libcygwin.a also includes libccrt0, libcctype, libcerr, libcmain,
>getopt, and getopt1.  getopt* doesn't belong to Cygnus.  It would be
>quite easy to provide your own versions of the others,
>with the exception of libcmain, which would necessarily require either
>copying the cygwin code or reverse engineering it.  What a court of law
>would have to say, I dunno, but Cygnus has made their intention pretty
>clear.
>
well that's quite interesting!

I guess like you say, the key is to just not link with libcygwin.a .

I suppose thought that you could relink cygwin.dll adding those other
components and then you wouldnt be violating any rules.

In that case you could distribute your own version of cygwin.dll,
under GPL of course and then you would not be linking in any code
from cygwin.dll.

However, presumably cygnus can't enforce GPL anyway, only FSF can do 
that.

reed

Reed Kotler
http://www.reedkotler.com  home of a nice unix like toolset for windows NT/95
http://www.justjazz.com    home of a jazz musicians discussion list
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".